Download it now!
Bug 130912 - Footnotes: "Before" and "After" text is placed the wrong way around
Summary: Footnotes: "Before" and "After" text is placed the wrong way around
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisectNotNeeded, needUITest, regression
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2020-02-24 21:24 UTC by R. Green
Modified: 2020-02-26 11:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer doc. showing a bug in the Footnote settings dialog (23.95 KB, application/vnd.oasis.opendocument.text)
2020-02-24 21:24 UTC, R. Green
Details

Note You need to log in before you can comment on or make changes to this bug.
Description R. Green 2020-02-24 21:24:48 UTC
Created attachment 158149 [details]
Writer doc. showing a bug in the Footnote settings dialog

Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-GB
Calc: threaded

1. Open the attached writer file.
2. Observe the Endnote at the end of the file and compare this to the settings in "Tools > Footnotes and Endnotes … > Endnotes > Autonumbering > Before/After." Note that the dialog agrees with the visual appearance of the Endnote.
3. Now do the same for the Footnote on page 1.

RESULT: The "Before" text is wrongly placed AFTER the footnote number. Similarly, anything in the "After" field is wrongly placed BEFORE the footnote number.
Comment 1 Julien Nabet 2020-02-24 22:01:21 UTC
Timur: I could reproduce this one. I searched about dups but didn't find one. However, I may have missed it so let this one to UNCONFIRMED.
Comment 2 Julien Nabet 2020-02-24 22:15:09 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/89387
Comment 3 Commit Notification 2020-02-25 07:38:41 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ee4ddf428e2ef85c710e1851ab9b9e7a2316d51b

tdf#130912: "Before" and "After" text swapped in footnotes

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2020-02-25 07:46:46 UTC
Backport in 6.4 waiting for review here:
https://gerrit.libreoffice.org/c/core/+/89426
Comment 5 Xisco Faulí 2020-02-25 09:05:04 UTC
No reproducible in

Version: 6.3.0.0.alpha1+
Build ID: c98b1f1cd43b3e109bcaf6324ef2d1f449b34099
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

thus, it's a regression. not need for bisection though
Comment 6 Commit Notification 2020-02-25 10:31:25 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0b3621d836611068cd699ed65d9936f020825c40

tdf#130912: "Before" and "After" text swapped in footnotes

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Timur 2020-02-25 11:39:53 UTC
I wanted to write the same as Xisco, but you are both very speedee. Thanks.
Comment 8 Xisco Faulí 2020-02-26 11:01:33 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c8d764b3f27c2bb0712745891b70630e94436317
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Julien, thanks for fixing this issue!!